Bug 1983 - Add option to create hold request when checking out an item already on loan
Summary: Add option to create hold request when checking out an item already on loan
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: PC All
: P3 enhancement (vote)
Target Milestone: ---
Assignee: Marc Véron
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-03-26 06:59 UTC by Galen Charlton
Modified: 2017-06-14 22:10 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 1983: Checkout: Hold request when checking out an item already on loan or reserved (2.58 KB, patch)
2015-12-26 11:42 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 1983: Checkout: Hold request when checking out an item already on loan or reserved (2.63 KB, patch)
2015-12-27 02:51 UTC, Chris Cormack
Details | Diff | Splinter Review
Bug 1983: Checkout: Hold repquest when checking out an item already on loan or reserved (2.83 KB, patch)
2016-01-14 19:23 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 1983: Checkout: Hold repquest when checking out an item already on loan or reserved (2.88 KB, patch)
2016-01-17 06:50 UTC, Chris Cormack
Details | Diff | Splinter Review
Bug 1983: Checkout: Hold repquest when checking out an item already on loan or reserved (2.95 KB, patch)
2016-01-19 10:43 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Cormack 2010-05-21 00:36:52 UTC


---- Reported by gmcharlt@gmail.com 2008-03-26 06:59:19 ----

When a circulation operator tries to check out an item that is already on loan to a different patron, currently Koha puts up a message asking whether to check in the item and check it out again.

The enhancement is to add an option to instead create a hold request on the item.  The option to create a new hold request perhaps should be triggered only if there is already a hold queue on the item - otherwise, if there are no holds on the item, why put a hold request on it instead of checking it out?



---- Additional Comments From wizzyrea@gmail.com 2009-06-08 18:36:56 ----

I love this idea. ++



---- Additional Comments From nengard@gmail.com 2009-12-28 14:30:27 ----

I too like this idea



--- Bug imported by chris@bigballofwax.co.nz 2010-05-21 00:36 UTC  ---

This bug was previously known as _bug_ 1983 at http://bugs.koha.org/cgi-bin/bugzilla3/show_bug.cgi?id=1983

Actual time not defined. Setting to 0.0

Comment 1 Katrin Fischer 2013-04-13 17:34:07 UTC
Described behaviour is not available in current versions, so this is still valid.
Comment 2 Marc Véron 2015-12-20 16:31:55 UTC
Still valid?
Comment 3 Marc Véron 2015-12-26 11:42:22 UTC Comment hidden (obsolete)
Comment 4 Chris Cormack 2015-12-27 02:51:27 UTC Comment hidden (obsolete)
Comment 5 Jonathan Druart 2016-01-13 12:43:08 UTC
Comment on attachment 45991 [details] [review]
Bug 1983: Checkout: Hold request when checking out an item already on loan or reserved

Review of attachment 45991 [details] [review]:
-----------------------------------------------------------------

::: koha-tmpl/intranet-tmpl/prog/en/modules/circ/circulation.tt
@@ +408,5 @@
>  </form>
>  
> +[% IF ( RESERVE_WAITING ) || ( RESERVED ) || ( ISSUED_TO_ANOTHER ) %]
> +    [%IF (CAN_user_reserveforothers_place_holds ) %]
> +        <span class="circ-checkoutplacehold"><a href="/cgi-bin/koha/reserve/request.pl?biblionumber=[% itembiblionumber %]&findborrower=x">Click here to place hold</a></span>

What is this 'x'??
Why a link instead of a button?
Comment 6 Marc Véron 2016-01-13 15:17:20 UTC
Oh, there was something missing.
Switching bach to assigned.
Comment 7 Marc Véron 2016-01-14 19:23:56 UTC Comment hidden (obsolete)
Comment 8 Marc Véron 2016-01-14 19:32:20 UTC
I refactored the patch (more / changed conditions to display link, give the link correct params). 

The patch will need a new sign-off.
See changed test plan on this patch.

Regarding link vs button: For more clarity, I decided for a link below the buttons with a text including the patron's name.
Comment 9 Chris Cormack 2016-01-17 06:50:00 UTC Comment hidden (obsolete)
Comment 10 Jonathan Druart 2016-01-19 10:43:45 UTC
Created attachment 46856 [details] [review]
Bug 1983: Checkout: Hold repquest when checking out an item already on loan or reserved

This patch allows to put a hold on an item that is already checked out or reserved.

To test:

- Check out an item A
- Put a hold on an item B
- Verify that the staff user has permission to put holds
- Check out item A to a patron X
- Try to checkout item A to a patron Y
- Verify that you see underneath the buttons for Checkin/Checkout a link
  with following text: "Click here to place hold for [Patron X' name]"
- Verify that the link is stylable (div class circ-scheckoutplacehold)
- Verify that the link takes you to the page to place a hold on this biblio
  for patron Y
- Do the same for item B and verify that it works for reserved items as well.
- Repeat steps above for a patron who has restrictions, verify that the link
  does not appear
- Log in with a staff member who has no permission to place holds
- Repeat steps above for a patron without restrictions, verify that the link
  does not appear.

Signed-off-by: Chris Cormack <chrisc@catalyst.net.nz>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 11 Brendan Gallagher 2016-01-27 06:40:01 UTC
Pushed to Master - Should be in the May 2016 release.  Thanks!